// ccc Feb06 for Antigua -----------------------

void CreateAntiguaCharacters(ref n)
{
	object chobj;
	ref ch;

	makeref(ch, chobj);

	ch.old.name = "Dockyard";
	ch.old.lastname = "Comissioner";
	ch.name 	= TranslateString("","Dockyard");
	ch.lastname 	= TranslateString("","Comissioner");
	ch.id		= "Antigua_Dockyard";
	ch.model	= "brtcpt1_18"; // Thomas the Terror
	ch.sex = "man";
	ch.location	= "Antigua_yard";
	ch.location.group = "goto";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Antigua_Dockyard.c";
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "8";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1000";
	LAi_SetCitizenType(ch);
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	//LAi_group_MoveCharacter(ch, "LAI_DEFAULT_GROUP");
	LAi_SetHP(ch, 200.0, 200.0);
	AddGameCharacter(n, ch);

	ch.old.name = "Portadmiral";
	ch.old.lastname = "Lord Barham";
	ch.name 	= TranslateString("","Portadmiral");
	ch.lastname = TranslateString("","Lord Barham");
	ch.id		= "Antigua_Portadmiral";
	ch.model	= "brtadm1_18"; // Thomas the Terror
	ch.sex = "man";
	ch.location	= "Antigua_mansion_study";
	ch.location.group = "goto";
	ch.location.locator = "goto3";
	ch.Dialog.Filename = "Antigua_Portadmiral.c";
	ch.rank 	= 10;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "10";
	ch.skill.Fencing = "7";
	ch.skill.Sailing = "4";
	ch.skill.Accuracy = "6";
	ch.skill.Cannons = "4";
	ch.skill.Grappling = "2";
	ch.skill.Repair = "0";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "10";
	ch.skill.Sneak = "0";
	ch.money = "10000";
	GiveItem2Character(ch, "blade13");
	ch.equip.blade = "blade13";
	LAi_SetCitizenType(ch);
	LAi_SetHP(ch, 200.0, 200.0);
	AddGameCharacter(n, ch);


	ch.old.name = "Regulating";
	ch.old.lastname = "Captain";
	ch.name 	= TranslateString("","Regulating");
	ch.lastname = TranslateString("","RCaptain");
	ch.id		= "Antigua_Regulating";
	ch.model	= "brtadm2_18"; // Thomas the Terror
	ch.sex = "man";
	ch.location	= "Antigua_Residence";
	ch.location.group = "goto";
	ch.location.locator = "goto8";
	ch.Dialog.Filename = "Antigua_Regulating.c";
	ch.rank 	= 10;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "10";
	ch.skill.Fencing = "7";
	ch.skill.Sailing = "4";
	ch.skill.Accuracy = "6";
	ch.skill.Cannons = "4";
	ch.skill.Grappling = "2";
	ch.skill.Repair = "0";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "10";
	ch.skill.Sneak = "0";
	ch.money = "10000";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	LAi_SetCitizenType(ch);
	LAi_SetHP(ch, 200.0, 200.0);
	AddGameCharacter(n, ch);

// KK -->
// Antigua tavern   -----------------------------------------------

	ch.old.name = "Brian";
	ch.old.lastname = "Moods";
	ch.name = TranslateString("","Brian");
	ch.lastname = TranslateString("","Moods");
	ch.id		= "Brian Moods";
	ch.model	= "man2";
	ch.sex = "man";
	ch.location	= "Antigua_tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Brian Moods_dialog.c";
	ch.greeting = "Gr_Simon Hanpool";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.work = "";
	ch.money = "1";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	AddGameCharacter(n, ch);

	// Antigua_officiant
	ch.old.name = "Anne";
	ch.old.lastname = "Andress";
	ch.name = TranslateString("","Anne");
	ch.lastname = TranslateString("","Andress");
	ch.id		= "Antigua_officiant";
	ch.model	= "towngirl2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Antigua_Tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
// KK -->
	ch.tavern.location = ch.location;
	ch.tavern.location.group = ch.location.group;
	ch.tavern.location.locator = ch.location.locator;
	ch.resurrection.location = "Antigua_Tavern_upstairs";
	ch.resurrection.shore = "Antigua_shore";
// <-- KK
	ch.Dialog.Filename = "Eng_Officiant_dialog.c";
	ch.greeting = "Gr_eng_officiant";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	ch.quest.sex = 0;
	ch.sex.time = 0;
	LAi_SetWaitressType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	AddGameCharacter(n, ch);

//    Antigua store -------------------------------------------------------


// <-- KK
}
